/* You can add global styles to this file, and also import other style files */
@import '~bootstrap/dist/css/bootstrap.min.css';

// colors
$primary: #5964ff;
$gray:#f6f8fc;
$darkblue:#0F1C70;
$golden:#e5de12;

// sizes
$rounded: 12px;

// genearl styling-------------------------
.pointer{
    cursor: pointer;
}

body{
    font-family: roboto;
}

.avatar{
    border-radius: 50%;    
    border: 1.5px solid white;
    box-shadow: 0px 0px 0px 1.5px $primary;
    height: 45px;
}

.full-h{
    height: 100vh;
    min-height: fit-content;
}

.custom-round{
    border-radius: $rounded;
}

.bg-gray{
    background: $gray;
}

.brand-div{
    height: 62px;
    width: 62px;
    background: $gray;
}

.progress-sm{
    height: 6px;
}

.folder-icon{
    font-size: 38px;
    color: $primary;
}

.folders-list{
    overflow-y: auto;
}

.text-muted {
    color: #6c757d8f!important;
}
// ----------------------------


// cars---------------------------
.custom-card{
    background: $gray;
    border-radius: $rounded;
}

.storage-card{
    background: $gray;
    border-radius: $rounded;
    transition: all .2s;
}

.storage-card:hover{
    background:$primary !important;
    color: white;
    box-shadow: 0px 0px 30px -15px #000 !important;
}

.storage-card:hover i, .storage-card:hover h5, .storage-card:hover span{
    color: white !important;   
}


.storage-card:hover div div ul .nummber_avatar span{
    color: $darkblue !important; 
}

.storage-card:hover .avatar{
    border: 1.5px solid $primary;
    box-shadow: 0px 0px 0px 1.5px white;
}

.storage-card:hover .progress-bar {
    background: $golden;
}


// -------------------------------

// lists customisation-----------------
.list-group{
    list-style: none;
}

.list-group-item-custom{
    border: 0;
    padding: 6px 0px;
    font-size: 20px;
    cursor: pointer;
}

.list-group-item-custom:hover{
    color: $primary;
}

.files-list li{
    font-size: 15px;
}
// -------------------------------------


// btn cusomisations--------------------
.btn-custom{
    font-size: larger;
    font-weight: bolder;
    padding: .55rem .55rem;
    background: $primary;
}

.btn-custom i{
    font-size: x-large;
    font-weight: bolder;
    background: rgba($color: #fff, $alpha: 0.2);
}
// -----------------------------------



// text utilities --------------------
.txt-prm{
    color: $primary;
}

.txt-drk{
    color: $darkblue;
}

.txt-lg{
    font-size: x-large;
}

.txt-xl{
    font-size: 30px;
}

.txt-xs{
    font-size: smaller;
}
// ----------------------------------



// input customisation-----------------
input{
    border:none !important;
    background-color: transparent !important;
    font-size: larger !important;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none !important;
    box-shadow: unset !important;
}

::placeholder {
    opacity: 1 !important; 
    color: #aaa !important;
    font-size: larger !important;
}
// ---------------------------------

.custom-scroll::-webkit-scrollbar {
  width: 5px;
  height: 5px;
}
.custom-scroll::-webkit-scrollbar-button {
  width: 0px;
  height: 0px;
}
.custom-scroll::-webkit-scrollbar-thumb {
  background: #00000085;
  border: 0px none #ffffff;
  border-radius: 50px;
}
.custom-scroll::-webkit-scrollbar-thumb:hover {
  background: #00000085;
}
.custom-scroll::-webkit-scrollbar-thumb:active {
  background: #00000085;
}
.custom-scroll::-webkit-scrollbar-track {
  background: #00000017;
  border: 0px none #ffffff;
  border-radius: 50px;
}
.custom-scroll::-webkit-scrollbar-track:hover {
  background: #00000017;
}
.custom-scroll::-webkit-scrollbar-track:active {
  background: #00000017;
}
.custom-scroll::-webkit-scrollbar-corner {
  background: transparent;
}